Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-1582

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2004-1582
Last Modified 05 Sep 2008 04:41:47
Published 31 Dec 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-1582

Summary

PHP remote file inclusion vulnerability in BlackBoard 1.5.1 allows remote attackers to execute arbitrary PHP code by modifying the libpath parameter (incorrectly called "libpach") to reference a URL on a remote web server that contains _more.php, as demonstrated using checkdb.inc.php.

Vulnerable Systems

Application

  • Blackboard Internet Newsboard System 1.5.1


References

XF - blackboard-lang-file-include(17637)

BID - 11336

SECUNIA - 12757

CONFIRM - http://blackboard.unclassified.de/70,1#1031

BUGTRAQ - 20041006 Multiple vulnerabilities in BlackBoard


Last Updated: 27 May 2016 10:39:06